# geos::geom::util::LinearComponentExtracter Class Reference

`#include <LinearComponentExtracter.h>`

Inheritance diagram for geos::geom::util::LinearComponentExtracter:

List of all members.

## Public Member Functions

| LinearComponentExtracter (std::vector< const LineString * > &newComps)
void | filter_rw (Geometry *geom)
void | filter_ro (const Geometry *geom)

## Static Public Member Functions

static void | getLines (const Geometry &geom, std::vector< const LineString * > &ret)

## Detailed Description

Extracts all the 1-dimensional (LineString) components from a Geometry.

## Constructor & Destructor Documentation

geos::geom::util::LinearComponentExtracter::LinearComponentExtracter | ( | std::vector< const LineString * > & | newComps | ) | `[inline]`

Constructs a LinearComponentExtracterFilter with a list in which to store LineStrings found.

## Member Function Documentation

static void geos::geom::util::LinearComponentExtracter::getLines | ( | const Geometry & | geom,
|  | std::vector< const LineString * > & | ret |
| ) |  |  | `[inline, static]`

Push the linear components from a single geometry into the provided vector. If more than one geometry is to be processed, it is more efficient to create a single LinearComponentExtracterFilter instance and pass it to multiple geometries.

void geos::geom::util::LinearComponentExtracter::filter_rw | ( | Geometry * | geom | ) | `[inline, virtual]`

Performs an operation with or on `geom`.

Parameters:

  | geom | a `Geometry` to which the filter is applied.

Reimplemented from geos::geom::GeometryComponentFilter.

The documentation for this class was generated from the following file:

- LinearComponentExtracter.h